Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.30
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Class JCEMac

    java.lang.Object
      javax.crypto.MacSpi
          org.bouncycastle.jce.provider.JCEMac

All Implemented Interfaces:
  PBE

Direct Known Subclasses:
  JCEMac.DES, JCEMac.DESCFB8, JCEMac.DESede, JCEMac.DESedeCFB8, JCEMac.GOST28147, JCEMac.IDEA, JCEMac.IDEACFB8, JCEMac.MD2, JCEMac.MD4, JCEMac.MD5, JCEMac.OldSHA384, JCEMac.OldSHA512, JCEMac.PBEWithRIPEMD160, JCEMac.PBEWithSHA, JCEMac.PBEWithTiger, JCEMac.RC2, JCEMac.RC2CFB8, JCEMac.RC5, JCEMac.RC5CFB8, JCEMac.RIPEMD128, JCEMac.RIPEMD160, JCEMac.SHA1, JCEMac.SHA224, JCEMac.SHA256, JCEMac.SHA384, JCEMac.SHA512, JCEMac.Skipjack, JCEMac.SkipjackCFB8, JCEMac.Tiger

public class JCEMac
extends javax.crypto.MacSpi
implements PBE

Nested Class Summary
`static class` | `JCEMac.DES` DES
`static class` | `JCEMac.DESCFB8` DES
`static class` | `JCEMac.DESede` DESede
`static class` | `JCEMac.DESedeCFB8` DESede
`static class` | `JCEMac.GOST28147` GOST28147
`static class` | `JCEMac.IDEA` IDEA
`static class` | `JCEMac.IDEACFB8` IDEACFB8
`static class` | `JCEMac.MD2` MD2 HMac
`static class` | `JCEMac.MD4` MD4 HMac
`static class` | `JCEMac.MD5` MD5 HMac
`static class` | `JCEMac.OldSHA384`
`static class` | `JCEMac.OldSHA512` SHA-512 HMac
`static class` | `JCEMac.PBEWithRIPEMD160` PBEWithHmacRIPEMD160
`static class` | `JCEMac.PBEWithSHA` PBEWithHmacSHA
`static class` | `JCEMac.PBEWithTiger` PBEWithHmacTiger
`static class` | `JCEMac.RC2` RC2
`static class` | `JCEMac.RC2CFB8` RC2CFB8
`static class` | `JCEMac.RC5` RC5
`static class` | `JCEMac.RC5CFB8` RC5CFB8
`static class` | `JCEMac.RIPEMD128` RIPEMD128 HMac
`static class` | `JCEMac.RIPEMD160` RIPEMD160 HMac
`static class` | `JCEMac.SHA1` SHA1 HMac
`static class` | `JCEMac.SHA224` SHA-224 HMac
`static class` | `JCEMac.SHA256` SHA-256 HMac
`static class` | `JCEMac.SHA384` SHA-384 HMac
`static class` | `JCEMac.SHA512` SHA-512 HMac
`static class` | `JCEMac.Skipjack` SKIPJACK
`static class` | `JCEMac.SkipjackCFB8` SKIPJACK
`static class` | `JCEMac.Tiger` Tiger HMac

Nested classes inherited from class org.bouncycastle.jce.provider.PBE
`PBE.Util`

Field Summary

Fields inherited from interface org.bouncycastle.jce.provider.PBE
`MD5, OPENSSL, PKCS12, PKCS5S1, PKCS5S2, RIPEMD160, SHA1, SHA256, TIGER`

Constructor Summary
`protected` | `JCEMac(Mac macEngine)`
`protected` | `JCEMac(Mac macEngine, int pbeType, int pbeHash, int keySize)`

Method Summary
`protected byte[]` | `engineDoFinal()`
`protected int` | `engineGetMacLength()`
`protected void` | `engineInit(java.security.Key key, java.security.spec.AlgorithmParameterSpec params)`
`protected void` | `engineReset()`
`protected void` | `engineUpdate(byte input)`
`protected void` | `engineUpdate(byte[] input, int offset, int len)`

Methods inherited from class javax.crypto.MacSpi
`clone`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JCEMac

    protected JCEMac(Mac macEngine)

### JCEMac

    protected JCEMac(Mac macEngine,
                     int pbeType,
                     int pbeHash,
                     int keySize)

Method Detail

### engineInit

    protected void engineInit(java.security.Key key,
                              java.security.spec.AlgorithmParameterSpec params)
                       throws java.security.InvalidKeyException,
                              java.security.InvalidAlgorithmParameterException

  Throws:
    `java.security.InvalidKeyException`
    `java.security.InvalidAlgorithmParameterException`

### engineGetMacLength

    protected int engineGetMacLength()

### engineReset

    protected void engineReset()

### engineUpdate

    protected void engineUpdate(byte input)

### engineUpdate

    protected void engineUpdate(byte[] input,
                                int offset,
                                int len)

### engineDoFinal

    protected byte[] engineDoFinal()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.30
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD